Name: alsa-firmware
Version: 1.0.15
Release: alt1
Summary: Firmware for several ALSA-supported soundcards
Summary(ru_RU.UTF-8): Прошивки ALSA
Summary(uk_UA.UTF-8): Мікропрограми ALSA
License: GPL
Group: System/Kernel and hardware

Url: http://www.alsa-project.org
Source: ftp://ftp.alsa-project.org/pub/firmware/%name-%version.tar.bz2

%description
Firmware binaries for some soundcards that need it; see also loaders
in alsa-tools package

%description -l ru_RU.UTF-8
Пакет содержит прошивки ALSA (современной звуковой подсистемы Linux),
предназначенные для использования с некоторыми звуковыми картами
при помощи загрузчиков из пакета alsa-tools.

%description -l uk_UA.UTF-8
Пакунок містить мікропрограми ALSA (сучасної звукової підсистеми Linux), що
застосовуються для використання із деякими звуковими картками за допомогою
інструментів з пакунку alsa-tools.

%set_strip_method none
%set_verify_elf_method fhs=relaxed

%prep
%setup -q

%build
%autoreconf
%configure \
	--disable-loader \
	--with-hotplug-dir=/lib/firmware
%make_build

for i in *loader; do 
	mv $i/README README.$i
done

%install
%make DESTDIR=%buildroot install

rm -f %buildroot/lib/firmware/turtlebeach/*
find %buildroot/lib/firmware -name \*.txt -delete

%files
%doc README*
/lib/firmware/*
%dir %_datadir/alsa
%_datadir/alsa/firmware

%changelog
* Sun Jan 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.0.15-alt1
- 1.0.15
- spec cleanup

* Sun Sep 16 2007 Michael Shigorin <mike@altlinux.org> 1.0.14-alt2
- fixed broken symlink:
  /usr/share/alsa/firmware/emi62-firmware.bin -> emi62-firmware-spdif.bin;
  thanks Alexey Tourbin (at@)
- errr... that is, until the legal status of this firmware distribution
  is clear to me (and permits that), I stop at least including it in the
  package.  See emi_26_62/license.txt in source tarball for details.

* Mon Jun 11 2007 Michael Shigorin <mike@altlinux.org> 1.0.14-alt1
- 1.0.14
- moved emi62-firmware.bin in place by hand
- set _unpackaged_files_terminate_build for that matter

* Mon Oct 16 2006 Michael Shigorin <mike@altlinux.org> 1.0.13-alt1
- 1.0.13

* Sat Sep 02 2006 Michael Shigorin <mike@altlinux.org> 1.0.12-alt1
- 1.0.12
- minor spec cleanup

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt1
- 1.0.11

* Wed Apr 05 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.3.2
- corrected FHS check relaxation degree
- spec cleanup

* Wed Apr 05 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.3.1
- relaxed ELF verification since it's really firmware

* Sat Mar 04 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.3
- 1.0.11rc3

* Wed Nov 16 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt1
- 1.0.10

* Thu Jun 23 2005 Michael Shigorin <mike@altlinux.org> 1.0.9-alt1
- 1.0.9

* Mon Feb 14 2005 Michael Shigorin <mike@altlinux.ru> 1.0.8-alt2
- rebuilt along discussion on ALSA bug #0000815

* Thu Jan 13 2005 Michael Shigorin <mike@altlinux.ru> 1.0.8-alt1
- 1.0.8
- disabled hotplug support until #5483 settles down

* Thu Dec 16 2004 Michael Shigorin <mike@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Sat Jun 26 2004 Michael Shigorin <mike@altlinux.ru> 1.0.4-alt2
- added ru/uk package info

* Sat Apr 03 2004 Michael Shigorin <mike@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Tue Mar 02 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Jan 29 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt2
- 1.0.2, Final Upload by ALSA Project (TM) 20040129 18:35 +0200
- thanks to Sergey Vlasov (vsu@) for alerting about re-uploads

* Wed Jan 28 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Mon Jan 26 2004 Michael Shigorin <mike@altlinux.ru> 1.0.1-alt1
- built for ALT Linux
